Numerology
Chaldean numerology: core numbers, name, mobile number, Lo Shu grid, compatibility.
Life path, destiny, soul urge, personality (Chaldean)
POST/v1/numerology/core
1 credit · Secret key (test or live) · getNumerologyCore
Request body
namestring requiredat least 1 characters · at most 120 characters
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
life_pathinteger requireddestinyinteger requiredsoul_urgeintegerpersonalityintegerbirth_numberintegerruling_planetstringlucky_numbersarray of integer
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/core' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Asha Verma","date_of_birth":"1990-08-13"}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/core", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"name": "Asha Verma",
"date_of_birth": "1990-08-13"
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"name": "Asha Verma",
"date_of_birth": "1990-08-13",
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/core",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/core');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"name":"Asha Verma","date_of_birth":"1990-08-13"}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 391 characters
{
"data": {
"life_path": 4,
"destiny": 1,
"soul_urge": 8,
"personality": 2,
"birth_number": 4,
"ruling_planet": "rahu",
"lucky_numbers": [
4,
13,
22,
31
]
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.9.28",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}Try it
Chaldean name number
POST/v1/numerology/name
1 credit · Secret key (test or live) · getNameNumber
Request body
namestring requiredat least 1 characters · at most 120 characters
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
numberinteger requiredcompoundinteger requiredsystem"chaldean" required
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/name' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Asha Verma"}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/name", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"name": "Asha Verma"
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"name": "Asha Verma",
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/name",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/name');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"name":"Asha Verma"}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 254 characters
{
"data": {
"number": 1,
"compound": 28,
"system": "chaldean"
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.9.28",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}Try it
Mobile-number analysis
POST/v1/numerology/mobile
1 credit · Secret key (test or live) · getMobileNumber
Request body
numberstring requiredpattern
^\+?[0-9 ]{6,20}$
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
totalinteger requiredreducedinteger requiredverdictstring required
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/mobile' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"number":"+91 98765 43210"}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/mobile", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"number": "+91 98765 43210"
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"number": "+91 98765 43210",
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/mobile",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/mobile');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"number":"+91 98765 43210"}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 261 characters
{
"data": {
"total": 55,
"reduced": 1,
"verdict": "Powerful & lucky"
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.9.28",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}Try it
Lo Shu grid
POST/v1/numerology/loshu
1 credit · Secret key (test or live) · getLoShu
Request body
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
gridarray of array of integer requiredmissingarray of integer requiredrepeatedarray of integer required
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/loshu' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"date_of_birth":"1990-08-13"}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/loshu", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"date_of_birth": "1990-08-13"
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"date_of_birth": "1990-08-13",
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/loshu",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/loshu');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"date_of_birth":"1990-08-13"}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 468 characters
{
"data": {
"grid": [
[
0,
2,
0
],
[
1,
0,
0
],
[
1,
2,
0
]
],
"missing": [
2,
4,
5,
6,
7
],
"repeated": [
1,
9
]
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.9.28",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}Try it
Numerology compatibility
POST/v1/numerology/compatibility
1 credit · Secret key (test or live) · getNumerologyCompatibility
Request body
person_aNameDob requirednamestring requiredat least 1 characters · at most 120 characters
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
person_bNameDob requirednamestring requiredat least 1 characters · at most 120 characters
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
scoreinteger required≥ 0 · ≤ 100
relationstring required
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/compatibility' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"person_a":{"name":"Asha","date_of_birth":"1990-08-13"},"person_b":{"name":"Ravi","date_of_birth":"1992-03-02"}}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/compatibility", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"person_a": {
"name": "Asha",
"date_of_birth": "1990-08-13"
},
"person_b": {
"name": "Ravi",
"date_of_birth": "1992-03-02"
}
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"person_a": {
"name": "Asha",
"date_of_birth": "1990-08-13",
},
"person_b": {
"name": "Ravi",
"date_of_birth": "1992-03-02",
},
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/compatibility",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/compatibility');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"person_a":{"name":"Asha","date_of_birth":"1990-08-13"},"person_b":{"name":"Ravi","date_of_birth":"1992-03-02"}}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 233 characters
{
"data": {
"score": 62,
"relation": "enemy"
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.9.28",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}